### Virtual Method

# Gio Vfs parse_name

#### Declaration [src]

    GFile*
    parse_name (
      GVfs* vfs,
      const char* parse_name
    )

#### Description [src]

This operation never fails, but the returned object might not support any I/O operations if the `parse_name` cannot be parsed by the `GVfs` module.

#### Parameters

`parse_name`

  Type: `const char*`

  A string to be parsed by the VFS module.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

A `GFile` for the given `parse_name`. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.